
/**
 * Copyright 2012-2013 Clint Combs
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.newhart.example

import org.newhart._
import org.newhart.mongodb.AuditStore
import java.util.{Date => JDate}
import com.mongodb.casbah.MongoConnection
import java.net.InetAddress._

object Example1 extends App {
  implicit val con = MongoConnection("localhost")
  implicit val store = new AuditStore()

  val hostname = getLocalHost().getHostName()
  store.createAudit("users", 100000000)
  store.send("users",
    Entry(
      origin="org.newhart.example.Example1", originKey="123", originKeyType="org.newhart.example.User",
      originHostname="localhost", criticality=Criticality.minor,
      auditTS=new JDate(), createTS=new JDate(), updateTS=new JDate(),
      msg="message", data=Map(), errors=List(), warnings=List(), labels=Set("a", "test")))

  val now = new JDate()

  con.close
}
