
/**
 * Copyright 2012-2013 Clint Combs
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.newhart.example

import org.newhart._
import org.newhart.mongodb.AuditStore
import java.util.{Date => JDate}
import com.mongodb.casbah.MongoConnection

/**
 * Get the last 'n' entries from the audit store named 's' where
 * s is args(0) and n is args(1)
 */
object GetLast extends App {
  if (args.length != 2) {
    println("usage: scala org.newhart.example.GetLast <audit-store> <number-of-entries>")
  } else {
    go
  }

  def go = {
    implicit val con = MongoConnection("localhost")
    implicit val store = new AuditStore()

    store.last(args(0), args(1).toInt) foreach { println }

    con.close
  }
}
